import request from '@/utils/request'

// 查询信用人员列表
export function listCreditUser(query) {
  return request({
    url: '/system/creditUser/list',
    method: 'get',
    params: query
  })
}

// 地址
export function listtrees(data) {
  return request({
    url: '/system/chinaArea/treeSelect',
    method: 'post',
    data: data
  })
}

// 查询信用人员详细
export function getCreditUser(id) {
  return request({
    url: '/system/creditUser/' + id,
    method: 'get'
  })
}

// 新增信用人员
export function addCreditUser(data) {
  return request({
    url: '/system/creditUser',
    method: 'post',
    data: data
  })
}

// 修改信用人员
export function updateCreditUser(data) {
  return request({
    url: '/system/creditUser',
    method: 'put',
    data: data
  })
}

// 删除信用人员
export function delCreditUser(id) {
  return request({
    url: '/system/creditUser/' + id,
    method: 'delete'
  })
}
